group "PositionWithoutId.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 4 elements
Defined: | globally in fpml-reconciliation-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

Complex Content Model
reportingRoles?, constituent?, scheduledDate*, valuation*

Content Model Elements (4):

  constituent (defined in PositionWithoutId.model group), reportingRoles (defined in PositionWithoutId.model group), | scheduledDate (defined in PositionWithoutId.model group), valuation (defined in PositionWithoutId.model group)

Known Usage Locations

- In definitions of global complexTypes (2):
  AssertedPosition, PositionProposedMatch

Annotation
A group specifying the position model without including position identification elements.
XML Source (w/o annotations (5); see within schema source)

<xsd:group name="PositionWithoutId.model"> <xsd:sequence> <xsd:element minOccurs="0" name="reportingRoles" type="ReportingRoles"/> <xsd:element minOccurs="0" name="constituent" type="PositionConstituent"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="scheduledDate" type="ScheduledDate"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="valuation" type="AssetValuation"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 4/4)
constituent

  Type: | PositionConstituent, complex content

  The components that create this position.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="constituent" type="PositionConstituent"/>

reportingRoles

  Type: | ReportingRoles, complex content

  Information about the roles of the parties with respect to reporting the positions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportingRoles" type="ReportingRoles"/>

scheduledDate

  Type: | ScheduledDate, complex content

  Position level schedule date, such as final payment dates, in a simple and flexible format.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="scheduledDate" type="ScheduledDate"/>

valuation

  Type: | AssetValuation, complex content

  Valuation reported for the position, such as NPV or accrued interest. The asset/object references in the valuations should refer to the deal or components of the deal in the position, e.g. legs, streams, or underlyers.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="valuation" type="AssetValuation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.